summaryrefslogtreecommitdiff
path: root/xpp/utils/astribank_hook
diff options
context:
space:
mode:
authortzafrir <tzafrir@5390a7c7-147a-4af0-8ec9-7488f05a26cb>2007-08-03 22:12:07 +0000
committertzafrir <tzafrir@5390a7c7-147a-4af0-8ec9-7488f05a26cb>2007-08-03 22:12:07 +0000
commit951177e02d11f64d9072c8a9fb973e530c2a2b71 (patch)
tree73dd8aa6317a97482c9b31057f2fb3e586feb338 /xpp/utils/astribank_hook
parentc88eaa22e13bd4c092b367a28e57064659660466 (diff)
xpp.r4415: (from 1.2 r2811)
* Show Astribank 6+2 as 6/2 channels and not 8/8 channels. - Added as a "subtype" to the device type (r4391). * Fixed a panic in BRI span shutdown method (r4393). * Changes to debug macros. * Add proper sysfs support (r4406) - A bus on whuch all of the Astribanks reside. - Replaces useless sysfs code that existed in the module. - Currently used to set the sync source automatically at device adition / removal. * BRI: We do need the T1 timer in NT. If it gets into G2 state (r4407). Merged revisions 2812 via svnmerge from https://origsvn.digium.com/svn/zaptel/branches/1.4 ........ * Ignore generated files on the new wctdm24xxp dir. (from 1.2 r2796) * Ignore two extra man pages on xpp/utils . Merged revisions 2797 via svnmerge from https://origsvn.digium.com/svn/zaptel/branches/1.4 ........ * Generate list of Zaptel Modules directories automatically. * Evaluate PERLLIBDIR only once. Closes: #10223 (Xorcom changeset:4379, from 1.2 r2758) Merged revisions 2759 via svnmerge from https://origsvn.digium.com/svn/zaptel/branches/1.4 git-svn-id: http://svn.digium.com/svn/zaptel/trunk@2814 5390a7c7-147a-4af0-8ec9-7488f05a26cb
Diffstat (limited to 'xpp/utils/astribank_hook')
-rwxr-xr-xxpp/utils/astribank_hook47
1 files changed, 47 insertions, 0 deletions
diff --git a/xpp/utils/astribank_hook b/xpp/utils/astribank_hook
new file mode 100755
index 0000000..53d42f9
--- /dev/null
+++ b/xpp/utils/astribank_hook
@@ -0,0 +1,47 @@
+#! /bin/sh
+
+set -e
+
+xpp_sync="/root/xortel/xpp_sync"
+
+me=`basename $0`
+INIT_DIR=`dirname $0`
+XPP_BASE=/proc/xpp
+export XPP_BASE
+LOGGER="logger -s -t $me"
+
+ZAPTEL_BOOT_DEBIAN=${ZAPTEL_BOOT_DEBIAN:-/etc/default/zaptel}
+ZAPTEL_BOOT_FEDORA=${ZAPTEL_BOOT_FEDORA:-/etc/sysconfig/zaptel}
+
+# read default configuration from /etc/default/zaptel
+if [ -r $ZAPTEL_BOOT_DEBIAN ]; then . $ZAPTEL_BOOT_DEBIAN; fi
+if [ -r $ZAPTEL_BOOT_FEDORA ]; then . $ZAPTEL_BOOT_FEDORA; fi
+
+if [ "$ASTRIBANK_HOOK_DISABLED" != '' ]; then
+ $LOGGER -p kern.info "Exiting... ASTRIBANK_HOOK_DISABLED"
+ exit 0
+fi
+
+# Always redirect stderr somewhere, otherwise the shell script will die
+# when it tries to do I/O related stuff on closed file descriptor.
+# Our default is to throw it down the bit-bucket.
+#exec 2> /dev/console
+## If you wish to trace this script:
+#exec 2> "/tmp/astribank_hook_$XBUS_NAME"
+
+$LOGGER -p kern.info "$ACTION: $*"
+
+$LOGGER -p kern.info "Change Sync"
+
+case "$ACTION" in
+add)
+ "$xpp_sync" auto
+ ;;
+remove)
+ "$xpp_sync" auto
+ ;;
+*)
+ ;;
+esac
+
+"$xpp_sync" | $LOGGER -p kern.info